Test::Future::IO::Impl(3pm)

NAME
"Test::Future::IO::Impl" - acceptance tests for "Future::IO" implementations

SYNOPSIS
   use Test::More;
   use Test::Future::IO::Impl;

   use Future::IO;
   use Future::IO::Impl::MyNewImpl;

   run_tests 'sleep';

   done_testing;

DESCRIPTION
This module contains a collection of acceptance tests for implementations of Future::IO.

FUNCTIONS

  run_tests
   run_tests @suitenames;

Runs a collection of tests against "Future::IO". It is expected that the caller has already loaded the specific implementation module to be tested against before this function is called.

TEST SUITES
The following test suite names may be passed to the "run_tests" function:

  accept
Tests the "Future::IO->accept" method.

  connect
Tests the "Future::IO->connect" method.

  recv, recvfrom
Since version 0.15.

Tests the "Future::IO->recv" and "Future::IO->recvfrom" methods.

  send
Since version 0.15.

Tests the "Future::IO->send" method.

  sleep
Tests the "Future::IO->sleep" method.

  read, sysread
Tests the "Future::IO->sysread" or "Future::IO->sysread" method.

These two test suites are identical other than the name of the method they invoke. The two exist because of the method rename that happened at "Future::IO" version 0.17.

  write, syswrite
Tests the "Future::IO->write" or "Future::IO->syswrite" method.

These two test suites are identical other than the name of the method they invoke. The two exist because of the method rename that happened at "Future::IO" version 0.17.

  waitpid
Tests the "Future::IO->waitpid" method.

AUTHOR
Paul Evans <leonerd@leonerd.org.uk>